unit U_Opdracht3;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, jpeg, ExtCtrls, MPlayer;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Edit2: TEdit;
    Button1: TButton;
    Button2: TButton;
    Image1: TImage;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Unit2;

{$R *.dfm}
var
outfile: textfile;
goed: integer;
fout: integer;
Var1: string;
Result: real;
Function Percentage (goedgedaan: integer; foutgedaan: integer): real;
  begin
  result := (Goedgedaan / (Goedgedaan + Foutgedaan)) * 100;
        if Result <= 40 then
        begin
        showmessage ('Pippi zegt: Mijn aapje spelt zo goed als jou. Dat moet je nog een keer oefenen!');
        end

        else if (Result > 40) and (Result <= 80) then
        begin
        showmessage ('Goed gedaan! Pippi is trots op jou!');
        end

        else if (Result >80) and (Result <=100) then
        begin
        Showmessage ('Heel goed gedaan! Jij bent een echte spel-expert!');
        end;

  Var1 := 'SPELLEN: '+ IntToStr(goed)+ ' goed en '+IntToStr(fout) +' fout.  Result is '+FloatToStr(result)+ '% goed.';
  Assignfile(outfile, 'UitkomstenKind.txt');
  rewrite(outfile);
  WriteLn(outfile, Var1);
  closefile(outfile);

  form2.show;
  end;

 Type
 Trij = Array [1..16] of string;
Var
  woord: Trij;
  teller: integer;
procedure TForm1.FormCreate(Sender: TObject);

begin
 teller := 1;

 woord[1] := 'stoel';
 woord[2] := 'woord';
 woord[3] := 'boek';
 woord[4] := 'moeder';
 woord[5] := 'speel';
 woord[6] := 'plezier';
 woord[7] := 'teddybeer';
 woord[8] := 'jus';
 woord[9] := 'harry potter';
 woord[10] := 'zon';
 woord[11] := 'zus';
 woord[12] := 'broer';
 woord[13] := 'vakantie';
 woord[14] := 'snoepje';
 woord[15] := 'end';
 woord[16] := ' ';

 edit1.Text:= woord[teller];
end;

procedure TForm1.Button1Click(Sender: TObject);

begin
 if teller < 16 then
  begin
   if (edit1.Text <> edit2.Text) then
    begin
    showmessage ('Helaas fout! Probeer het nog een keer.');
    edit2.Clear;
    fout:= fout + 1;
   end

  else if (edit1.Text = edit2.Text) then
   begin
     showmessage ('Goed gedaan!');
     teller := teller + 1;
     edit1.Text:= woord[teller];
     edit2.Clear;
     goed:= goed + 1;
   end;


  if teller = 16  then
   begin
   Percentage (goed, fout);
   end;

end;
end;



procedure TForm1.Button2Click(Sender: TObject);
begin
     Percentage (goed, fout);

   end;

end.


